<template>
  <div class="bg-primary fixed z-20 inset-0 overflow-auto">
    <div class="max-w-quiz mx-auto">
      <div class="bg-white p-8 relative text-center">
        <div
          class="absolute top-5 right-5 cursor-pointer flex items-center justify-center w-4 h-4"
          @click="closeModal"
        >
          <CloseIcon/>
        </div>
        <div class="h1 mb-3 px-10">Which ED medication is best for me?</div>
        <p class="mb-8 text-base">Both pills are in the same class of drugs and have demonstrated their effectiveness in over 80% of patients.</p>
        <div class="grid grid-cols-2 gap-x-10">
          <section
            v-for="item in tablets"
            :key="item.title"
            class="text-center flex flex-col items-center"
          >
            <div
              class="mb-3 w-full h-12 bg-no-repeat bg-contain bg-center"
              :style="`background-image: url(${item.img})`"
            />
            <p class="text-base mb-1">{{ item.title }}</p>
            <p class="text-base text-grey-dark">{{ item.lasts }}</p>
          </section>
        </div>
      </div>
      <div class="p-5 space-y-8">
        <section>
          <p class="text-title">WHEN TO TAKE THEM</p>
          <p class="text">Both pills take time to work their magic.  For best results, you'll want to take them anywhere from 30 minutes up to an hour before you anticipate spending quality time with your special someone. Typically, men have reported slightly faster onset with tadalafil.</p>
        </section>
        <section>
          <p class="text-title">CONSIDER YOUR SEX LIFE</p>
          <p class="text">Sildenafil and tadalafil have different half lives, which determine how long they work for. Sildenafil typically wears off within four to six hours, while tadalafil can last as long as 36 hours in most cases. So whether or not you and your partner are spontaneous lovers or meticulous lovers, just know there's a right pill for you.</p>
        </section>
        <section>
          <p class="text-title">Consider Daily Dosing With Tadalafil</p>
          <p class="text">Men have reported positive results with daily dosing with a lower dosage of tadalafil. Typically daily dosing is recommended for men who desire the ability to perform sex anytime. Due to tadalafil's longer half life that allows for 24-36 hours of effectiveness, daily dosing allows for more opportunities and preparedness for spontaneous sex whenever you and your partner are in the mood.</p>

        </section>
        <section>
          <p class="text">Sildenafil can also be taken daily, but is generally prescribed for use on an as-needed basis. Just remember to take one 30 minutes to an hour in advance.</p>
        </section>
        <section>
          <p class="text-title">Find What Works For You</p>
          <p class="text">If you don't respond to the first medication you select, you may want to try the other before giving up. Only a small percentage of men without serious health conditions fail to respond to both medications. Fortunately, both sildenafil and tadalafil are off patent, and are substantially cheaper than they used to be. Your doctor will work with you to find the perfect medication for you. Don't worry, at Rex MD, we never charge for a doctor's appointment, and will never charge you for patient support.</p>
        </section>
        <section>
          <div class="p-5 bg-white rounded text-base">
            Still not sure which product is right for you? Give us a call at (877) 907-4047 to speak with one of our friendly consultants.
          </div>
        </section>
        <CommonBtn
          @click="closeModal"
          text="Close"
        />
      </div>
    </div>
  </div>
</template>

<script>
import CloseIcon from "@/components/icons/CloseIcon";
import CommonBtn from "@/components/common/CommonBtn";
export default {
  name: "DifferenceModal",
  components: {CommonBtn, CloseIcon},
  data() {
    return {
      tablets: [
        {title: 'Generic Viagra (Sildenafil)', lasts: 'Last 4-6 hours', img: require('@/assets/img/misc/pill-sildenafil.png')},
        {title: 'Generic Cialis (Tadalafil)', lasts: 'Last 24-36 hours', img: require('@/assets/img/misc/pill-tadalafil.png')},
      ]
    }
  },
  methods: {
    closeModal() {
      this.$emit('close')
    }
  }
}
</script>

<style scoped>
.text {
  @apply text-base
}

.text-title {
  @apply mb-3 text-xs uppercase
}
</style>
